Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network15.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
15.160.0.0
Broadcast address
15.191.255.255
First usable
15.160.0.1
Last usable
15.191.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 0FA00000 · Integer 262144000 to 264241151
Reverse DNS zones
160.15.in-addr.arpa
161.15.in-addr.arpa
162.15.in-addr.arpa
163.15.in-addr.arpa
164.15.in-addr.arpa
165.15.in-addr.arpa
166.15.in-addr.arpa
167.15.in-addr.arpa
168.15.in-addr.arpa
169.15.in-addr.arpa
170.15.in-addr.arpa
171.15.in-addr.arpa
172.15.in-addr.arpa
173.15.in-addr.arpa
174.15.in-addr.arpa
175.15.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001111.10100000.00000000.0000000015.160.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00001111.10100000.00000000.0000000015.160.0.0
Broadcast00001111.10111111.11111111.1111111115.191.255.255
Split into smaller subnets/19

15.160.0.0/11 makes 256 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
115.160.0.0/1915.160.0.1 to 15.160.31.25415.160.31.2558,190
215.160.32.0/1915.160.32.1 to 15.160.63.25415.160.63.2558,190
315.160.64.0/1915.160.64.1 to 15.160.95.25415.160.95.2558,190
415.160.96.0/1915.160.96.1 to 15.160.127.25415.160.127.2558,190
515.160.128.0/1915.160.128.1 to 15.160.159.25415.160.159.2558,190
615.160.160.0/1915.160.160.1 to 15.160.191.25415.160.191.2558,190
715.160.192.0/1915.160.192.1 to 15.160.223.25415.160.223.2558,190
815.160.224.0/1915.160.224.1 to 15.160.255.25415.160.255.2558,190
915.161.0.0/1915.161.0.1 to 15.161.31.25415.161.31.2558,190
1015.161.32.0/1915.161.32.1 to 15.161.63.25415.161.63.2558,190
1115.161.64.0/1915.161.64.1 to 15.161.95.25415.161.95.2558,190
1215.161.96.0/1915.161.96.1 to 15.161.127.25415.161.127.2558,190
1315.161.128.0/1915.161.128.1 to 15.161.159.25415.161.159.2558,190
1415.161.160.0/1915.161.160.1 to 15.161.191.25415.161.191.2558,190
1515.161.192.0/1915.161.192.1 to 15.161.223.25415.161.223.2558,190
1615.161.224.0/1915.161.224.1 to 15.161.255.25415.161.255.2558,190
1715.162.0.0/1915.162.0.1 to 15.162.31.25415.162.31.2558,190
1815.162.32.0/1915.162.32.1 to 15.162.63.25415.162.63.2558,190
1915.162.64.0/1915.162.64.1 to 15.162.95.25415.162.95.2558,190
2015.162.96.0/1915.162.96.1 to 15.162.127.25415.162.127.2558,190
2115.162.128.0/1915.162.128.1 to 15.162.159.25415.162.159.2558,190
2215.162.160.0/1915.162.160.1 to 15.162.191.25415.162.191.2558,190
2315.162.192.0/1915.162.192.1 to 15.162.223.25415.162.223.2558,190
2415.162.224.0/1915.162.224.1 to 15.162.255.25415.162.255.2558,190
2515.163.0.0/1915.163.0.1 to 15.163.31.25415.163.31.2558,190
2615.163.32.0/1915.163.32.1 to 15.163.63.25415.163.63.2558,190
2715.163.64.0/1915.163.64.1 to 15.163.95.25415.163.95.2558,190
2815.163.96.0/1915.163.96.1 to 15.163.127.25415.163.127.2558,190
2915.163.128.0/1915.163.128.1 to 15.163.159.25415.163.159.2558,190
3015.163.160.0/1915.163.160.1 to 15.163.191.25415.163.191.2558,190
3115.163.192.0/1915.163.192.1 to 15.163.223.25415.163.223.2558,190
3215.163.224.0/1915.163.224.1 to 15.163.255.25415.163.255.2558,190
3315.164.0.0/1915.164.0.1 to 15.164.31.25415.164.31.2558,190
3415.164.32.0/1915.164.32.1 to 15.164.63.25415.164.63.2558,190
3515.164.64.0/1915.164.64.1 to 15.164.95.25415.164.95.2558,190
3615.164.96.0/1915.164.96.1 to 15.164.127.25415.164.127.2558,190
3715.164.128.0/1915.164.128.1 to 15.164.159.25415.164.159.2558,190
3815.164.160.0/1915.164.160.1 to 15.164.191.25415.164.191.2558,190
3915.164.192.0/1915.164.192.1 to 15.164.223.25415.164.223.2558,190
4015.164.224.0/1915.164.224.1 to 15.164.255.25415.164.255.2558,190
4115.165.0.0/1915.165.0.1 to 15.165.31.25415.165.31.2558,190
4215.165.32.0/1915.165.32.1 to 15.165.63.25415.165.63.2558,190
4315.165.64.0/1915.165.64.1 to 15.165.95.25415.165.95.2558,190
4415.165.96.0/1915.165.96.1 to 15.165.127.25415.165.127.2558,190
4515.165.128.0/1915.165.128.1 to 15.165.159.25415.165.159.2558,190
4615.165.160.0/1915.165.160.1 to 15.165.191.25415.165.191.2558,190
4715.165.192.0/1915.165.192.1 to 15.165.223.25415.165.223.2558,190
4815.165.224.0/1915.165.224.1 to 15.165.255.25415.165.255.2558,190
4915.166.0.0/1915.166.0.1 to 15.166.31.25415.166.31.2558,190
5015.166.32.0/1915.166.32.1 to 15.166.63.25415.166.63.2558,190
5115.166.64.0/1915.166.64.1 to 15.166.95.25415.166.95.2558,190
5215.166.96.0/1915.166.96.1 to 15.166.127.25415.166.127.2558,190
5315.166.128.0/1915.166.128.1 to 15.166.159.25415.166.159.2558,190
5415.166.160.0/1915.166.160.1 to 15.166.191.25415.166.191.2558,190
5515.166.192.0/1915.166.192.1 to 15.166.223.25415.166.223.2558,190
5615.166.224.0/1915.166.224.1 to 15.166.255.25415.166.255.2558,190
5715.167.0.0/1915.167.0.1 to 15.167.31.25415.167.31.2558,190
5815.167.32.0/1915.167.32.1 to 15.167.63.25415.167.63.2558,190
5915.167.64.0/1915.167.64.1 to 15.167.95.25415.167.95.2558,190
6015.167.96.0/1915.167.96.1 to 15.167.127.25415.167.127.2558,190
6115.167.128.0/1915.167.128.1 to 15.167.159.25415.167.159.2558,190
6215.167.160.0/1915.167.160.1 to 15.167.191.25415.167.191.2558,190
6315.167.192.0/1915.167.192.1 to 15.167.223.25415.167.223.2558,190
6415.167.224.0/1915.167.224.1 to 15.167.255.25415.167.255.2558,190
6515.168.0.0/1915.168.0.1 to 15.168.31.25415.168.31.2558,190
6615.168.32.0/1915.168.32.1 to 15.168.63.25415.168.63.2558,190
6715.168.64.0/1915.168.64.1 to 15.168.95.25415.168.95.2558,190
6815.168.96.0/1915.168.96.1 to 15.168.127.25415.168.127.2558,190
6915.168.128.0/1915.168.128.1 to 15.168.159.25415.168.159.2558,190
7015.168.160.0/1915.168.160.1 to 15.168.191.25415.168.191.2558,190
7115.168.192.0/1915.168.192.1 to 15.168.223.25415.168.223.2558,190
7215.168.224.0/1915.168.224.1 to 15.168.255.25415.168.255.2558,190
7315.169.0.0/1915.169.0.1 to 15.169.31.25415.169.31.2558,190
7415.169.32.0/1915.169.32.1 to 15.169.63.25415.169.63.2558,190
7515.169.64.0/1915.169.64.1 to 15.169.95.25415.169.95.2558,190
7615.169.96.0/1915.169.96.1 to 15.169.127.25415.169.127.2558,190
7715.169.128.0/1915.169.128.1 to 15.169.159.25415.169.159.2558,190
7815.169.160.0/1915.169.160.1 to 15.169.191.25415.169.191.2558,190
7915.169.192.0/1915.169.192.1 to 15.169.223.25415.169.223.2558,190
8015.169.224.0/1915.169.224.1 to 15.169.255.25415.169.255.2558,190
8115.170.0.0/1915.170.0.1 to 15.170.31.25415.170.31.2558,190
8215.170.32.0/1915.170.32.1 to 15.170.63.25415.170.63.2558,190
8315.170.64.0/1915.170.64.1 to 15.170.95.25415.170.95.2558,190
8415.170.96.0/1915.170.96.1 to 15.170.127.25415.170.127.2558,190
8515.170.128.0/1915.170.128.1 to 15.170.159.25415.170.159.2558,190
8615.170.160.0/1915.170.160.1 to 15.170.191.25415.170.191.2558,190
8715.170.192.0/1915.170.192.1 to 15.170.223.25415.170.223.2558,190
8815.170.224.0/1915.170.224.1 to 15.170.255.25415.170.255.2558,190
8915.171.0.0/1915.171.0.1 to 15.171.31.25415.171.31.2558,190
9015.171.32.0/1915.171.32.1 to 15.171.63.25415.171.63.2558,190
9115.171.64.0/1915.171.64.1 to 15.171.95.25415.171.95.2558,190
9215.171.96.0/1915.171.96.1 to 15.171.127.25415.171.127.2558,190
9315.171.128.0/1915.171.128.1 to 15.171.159.25415.171.159.2558,190
9415.171.160.0/1915.171.160.1 to 15.171.191.25415.171.191.2558,190
9515.171.192.0/1915.171.192.1 to 15.171.223.25415.171.223.2558,190
9615.171.224.0/1915.171.224.1 to 15.171.255.25415.171.255.2558,190
9715.172.0.0/1915.172.0.1 to 15.172.31.25415.172.31.2558,190
9815.172.32.0/1915.172.32.1 to 15.172.63.25415.172.63.2558,190
9915.172.64.0/1915.172.64.1 to 15.172.95.25415.172.95.2558,190
10015.172.96.0/1915.172.96.1 to 15.172.127.25415.172.127.2558,190
10115.172.128.0/1915.172.128.1 to 15.172.159.25415.172.159.2558,190
10215.172.160.0/1915.172.160.1 to 15.172.191.25415.172.191.2558,190
10315.172.192.0/1915.172.192.1 to 15.172.223.25415.172.223.2558,190
10415.172.224.0/1915.172.224.1 to 15.172.255.25415.172.255.2558,190
10515.173.0.0/1915.173.0.1 to 15.173.31.25415.173.31.2558,190
10615.173.32.0/1915.173.32.1 to 15.173.63.25415.173.63.2558,190
10715.173.64.0/1915.173.64.1 to 15.173.95.25415.173.95.2558,190
10815.173.96.0/1915.173.96.1 to 15.173.127.25415.173.127.2558,190
10915.173.128.0/1915.173.128.1 to 15.173.159.25415.173.159.2558,190
11015.173.160.0/1915.173.160.1 to 15.173.191.25415.173.191.2558,190
11115.173.192.0/1915.173.192.1 to 15.173.223.25415.173.223.2558,190
11215.173.224.0/1915.173.224.1 to 15.173.255.25415.173.255.2558,190
11315.174.0.0/1915.174.0.1 to 15.174.31.25415.174.31.2558,190
11415.174.32.0/1915.174.32.1 to 15.174.63.25415.174.63.2558,190
11515.174.64.0/1915.174.64.1 to 15.174.95.25415.174.95.2558,190
11615.174.96.0/1915.174.96.1 to 15.174.127.25415.174.127.2558,190
11715.174.128.0/1915.174.128.1 to 15.174.159.25415.174.159.2558,190
11815.174.160.0/1915.174.160.1 to 15.174.191.25415.174.191.2558,190
11915.174.192.0/1915.174.192.1 to 15.174.223.25415.174.223.2558,190
12015.174.224.0/1915.174.224.1 to 15.174.255.25415.174.255.2558,190
12115.175.0.0/1915.175.0.1 to 15.175.31.25415.175.31.2558,190
12215.175.32.0/1915.175.32.1 to 15.175.63.25415.175.63.2558,190
12315.175.64.0/1915.175.64.1 to 15.175.95.25415.175.95.2558,190
12415.175.96.0/1915.175.96.1 to 15.175.127.25415.175.127.2558,190
12515.175.128.0/1915.175.128.1 to 15.175.159.25415.175.159.2558,190
12615.175.160.0/1915.175.160.1 to 15.175.191.25415.175.191.2558,190
12715.175.192.0/1915.175.192.1 to 15.175.223.25415.175.223.2558,190
12815.175.224.0/1915.175.224.1 to 15.175.255.25415.175.255.2558,190
12915.176.0.0/1915.176.0.1 to 15.176.31.25415.176.31.2558,190
13015.176.32.0/1915.176.32.1 to 15.176.63.25415.176.63.2558,190
13115.176.64.0/1915.176.64.1 to 15.176.95.25415.176.95.2558,190
13215.176.96.0/1915.176.96.1 to 15.176.127.25415.176.127.2558,190
13315.176.128.0/1915.176.128.1 to 15.176.159.25415.176.159.2558,190
13415.176.160.0/1915.176.160.1 to 15.176.191.25415.176.191.2558,190
13515.176.192.0/1915.176.192.1 to 15.176.223.25415.176.223.2558,190
13615.176.224.0/1915.176.224.1 to 15.176.255.25415.176.255.2558,190
13715.177.0.0/1915.177.0.1 to 15.177.31.25415.177.31.2558,190
13815.177.32.0/1915.177.32.1 to 15.177.63.25415.177.63.2558,190
13915.177.64.0/1915.177.64.1 to 15.177.95.25415.177.95.2558,190
14015.177.96.0/1915.177.96.1 to 15.177.127.25415.177.127.2558,190
14115.177.128.0/1915.177.128.1 to 15.177.159.25415.177.159.2558,190
14215.177.160.0/1915.177.160.1 to 15.177.191.25415.177.191.2558,190
14315.177.192.0/1915.177.192.1 to 15.177.223.25415.177.223.2558,190
14415.177.224.0/1915.177.224.1 to 15.177.255.25415.177.255.2558,190
14515.178.0.0/1915.178.0.1 to 15.178.31.25415.178.31.2558,190
14615.178.32.0/1915.178.32.1 to 15.178.63.25415.178.63.2558,190
14715.178.64.0/1915.178.64.1 to 15.178.95.25415.178.95.2558,190
14815.178.96.0/1915.178.96.1 to 15.178.127.25415.178.127.2558,190
14915.178.128.0/1915.178.128.1 to 15.178.159.25415.178.159.2558,190
15015.178.160.0/1915.178.160.1 to 15.178.191.25415.178.191.2558,190
15115.178.192.0/1915.178.192.1 to 15.178.223.25415.178.223.2558,190
15215.178.224.0/1915.178.224.1 to 15.178.255.25415.178.255.2558,190
15315.179.0.0/1915.179.0.1 to 15.179.31.25415.179.31.2558,190
15415.179.32.0/1915.179.32.1 to 15.179.63.25415.179.63.2558,190
15515.179.64.0/1915.179.64.1 to 15.179.95.25415.179.95.2558,190
15615.179.96.0/1915.179.96.1 to 15.179.127.25415.179.127.2558,190
15715.179.128.0/1915.179.128.1 to 15.179.159.25415.179.159.2558,190
15815.179.160.0/1915.179.160.1 to 15.179.191.25415.179.191.2558,190
15915.179.192.0/1915.179.192.1 to 15.179.223.25415.179.223.2558,190
16015.179.224.0/1915.179.224.1 to 15.179.255.25415.179.255.2558,190
16115.180.0.0/1915.180.0.1 to 15.180.31.25415.180.31.2558,190
16215.180.32.0/1915.180.32.1 to 15.180.63.25415.180.63.2558,190
16315.180.64.0/1915.180.64.1 to 15.180.95.25415.180.95.2558,190
16415.180.96.0/1915.180.96.1 to 15.180.127.25415.180.127.2558,190
16515.180.128.0/1915.180.128.1 to 15.180.159.25415.180.159.2558,190
16615.180.160.0/1915.180.160.1 to 15.180.191.25415.180.191.2558,190
16715.180.192.0/1915.180.192.1 to 15.180.223.25415.180.223.2558,190
16815.180.224.0/1915.180.224.1 to 15.180.255.25415.180.255.2558,190
16915.181.0.0/1915.181.0.1 to 15.181.31.25415.181.31.2558,190
17015.181.32.0/1915.181.32.1 to 15.181.63.25415.181.63.2558,190
17115.181.64.0/1915.181.64.1 to 15.181.95.25415.181.95.2558,190
17215.181.96.0/1915.181.96.1 to 15.181.127.25415.181.127.2558,190
17315.181.128.0/1915.181.128.1 to 15.181.159.25415.181.159.2558,190
17415.181.160.0/1915.181.160.1 to 15.181.191.25415.181.191.2558,190
17515.181.192.0/1915.181.192.1 to 15.181.223.25415.181.223.2558,190
17615.181.224.0/1915.181.224.1 to 15.181.255.25415.181.255.2558,190
17715.182.0.0/1915.182.0.1 to 15.182.31.25415.182.31.2558,190
17815.182.32.0/1915.182.32.1 to 15.182.63.25415.182.63.2558,190
17915.182.64.0/1915.182.64.1 to 15.182.95.25415.182.95.2558,190
18015.182.96.0/1915.182.96.1 to 15.182.127.25415.182.127.2558,190
18115.182.128.0/1915.182.128.1 to 15.182.159.25415.182.159.2558,190
18215.182.160.0/1915.182.160.1 to 15.182.191.25415.182.191.2558,190
18315.182.192.0/1915.182.192.1 to 15.182.223.25415.182.223.2558,190
18415.182.224.0/1915.182.224.1 to 15.182.255.25415.182.255.2558,190
18515.183.0.0/1915.183.0.1 to 15.183.31.25415.183.31.2558,190
18615.183.32.0/1915.183.32.1 to 15.183.63.25415.183.63.2558,190
18715.183.64.0/1915.183.64.1 to 15.183.95.25415.183.95.2558,190
18815.183.96.0/1915.183.96.1 to 15.183.127.25415.183.127.2558,190
18915.183.128.0/1915.183.128.1 to 15.183.159.25415.183.159.2558,190
19015.183.160.0/1915.183.160.1 to 15.183.191.25415.183.191.2558,190
19115.183.192.0/1915.183.192.1 to 15.183.223.25415.183.223.2558,190
19215.183.224.0/1915.183.224.1 to 15.183.255.25415.183.255.2558,190
19315.184.0.0/1915.184.0.1 to 15.184.31.25415.184.31.2558,190
19415.184.32.0/1915.184.32.1 to 15.184.63.25415.184.63.2558,190
19515.184.64.0/1915.184.64.1 to 15.184.95.25415.184.95.2558,190
19615.184.96.0/1915.184.96.1 to 15.184.127.25415.184.127.2558,190
19715.184.128.0/1915.184.128.1 to 15.184.159.25415.184.159.2558,190
19815.184.160.0/1915.184.160.1 to 15.184.191.25415.184.191.2558,190
19915.184.192.0/1915.184.192.1 to 15.184.223.25415.184.223.2558,190
20015.184.224.0/1915.184.224.1 to 15.184.255.25415.184.255.2558,190
20115.185.0.0/1915.185.0.1 to 15.185.31.25415.185.31.2558,190
20215.185.32.0/1915.185.32.1 to 15.185.63.25415.185.63.2558,190
20315.185.64.0/1915.185.64.1 to 15.185.95.25415.185.95.2558,190
20415.185.96.0/1915.185.96.1 to 15.185.127.25415.185.127.2558,190
20515.185.128.0/1915.185.128.1 to 15.185.159.25415.185.159.2558,190
20615.185.160.0/1915.185.160.1 to 15.185.191.25415.185.191.2558,190
20715.185.192.0/1915.185.192.1 to 15.185.223.25415.185.223.2558,190
20815.185.224.0/1915.185.224.1 to 15.185.255.25415.185.255.2558,190
20915.186.0.0/1915.186.0.1 to 15.186.31.25415.186.31.2558,190
21015.186.32.0/1915.186.32.1 to 15.186.63.25415.186.63.2558,190
21115.186.64.0/1915.186.64.1 to 15.186.95.25415.186.95.2558,190
21215.186.96.0/1915.186.96.1 to 15.186.127.25415.186.127.2558,190
21315.186.128.0/1915.186.128.1 to 15.186.159.25415.186.159.2558,190
21415.186.160.0/1915.186.160.1 to 15.186.191.25415.186.191.2558,190
21515.186.192.0/1915.186.192.1 to 15.186.223.25415.186.223.2558,190
21615.186.224.0/1915.186.224.1 to 15.186.255.25415.186.255.2558,190
21715.187.0.0/1915.187.0.1 to 15.187.31.25415.187.31.2558,190
21815.187.32.0/1915.187.32.1 to 15.187.63.25415.187.63.2558,190
21915.187.64.0/1915.187.64.1 to 15.187.95.25415.187.95.2558,190
22015.187.96.0/1915.187.96.1 to 15.187.127.25415.187.127.2558,190
22115.187.128.0/1915.187.128.1 to 15.187.159.25415.187.159.2558,190
22215.187.160.0/1915.187.160.1 to 15.187.191.25415.187.191.2558,190
22315.187.192.0/1915.187.192.1 to 15.187.223.25415.187.223.2558,190
22415.187.224.0/1915.187.224.1 to 15.187.255.25415.187.255.2558,190
22515.188.0.0/1915.188.0.1 to 15.188.31.25415.188.31.2558,190
22615.188.32.0/1915.188.32.1 to 15.188.63.25415.188.63.2558,190
22715.188.64.0/1915.188.64.1 to 15.188.95.25415.188.95.2558,190
22815.188.96.0/1915.188.96.1 to 15.188.127.25415.188.127.2558,190
22915.188.128.0/1915.188.128.1 to 15.188.159.25415.188.159.2558,190
23015.188.160.0/1915.188.160.1 to 15.188.191.25415.188.191.2558,190
23115.188.192.0/1915.188.192.1 to 15.188.223.25415.188.223.2558,190
23215.188.224.0/1915.188.224.1 to 15.188.255.25415.188.255.2558,190
23315.189.0.0/1915.189.0.1 to 15.189.31.25415.189.31.2558,190
23415.189.32.0/1915.189.32.1 to 15.189.63.25415.189.63.2558,190
23515.189.64.0/1915.189.64.1 to 15.189.95.25415.189.95.2558,190
23615.189.96.0/1915.189.96.1 to 15.189.127.25415.189.127.2558,190
23715.189.128.0/1915.189.128.1 to 15.189.159.25415.189.159.2558,190
23815.189.160.0/1915.189.160.1 to 15.189.191.25415.189.191.2558,190
23915.189.192.0/1915.189.192.1 to 15.189.223.25415.189.223.2558,190
24015.189.224.0/1915.189.224.1 to 15.189.255.25415.189.255.2558,190
24115.190.0.0/1915.190.0.1 to 15.190.31.25415.190.31.2558,190
24215.190.32.0/1915.190.32.1 to 15.190.63.25415.190.63.2558,190
24315.190.64.0/1915.190.64.1 to 15.190.95.25415.190.95.2558,190
24415.190.96.0/1915.190.96.1 to 15.190.127.25415.190.127.2558,190
24515.190.128.0/1915.190.128.1 to 15.190.159.25415.190.159.2558,190
24615.190.160.0/1915.190.160.1 to 15.190.191.25415.190.191.2558,190
24715.190.192.0/1915.190.192.1 to 15.190.223.25415.190.223.2558,190
24815.190.224.0/1915.190.224.1 to 15.190.255.25415.190.255.2558,190
24915.191.0.0/1915.191.0.1 to 15.191.31.25415.191.31.2558,190
25015.191.32.0/1915.191.32.1 to 15.191.63.25415.191.63.2558,190
25115.191.64.0/1915.191.64.1 to 15.191.95.25415.191.95.2558,190
25215.191.96.0/1915.191.96.1 to 15.191.127.25415.191.127.2558,190
25315.191.128.0/1915.191.128.1 to 15.191.159.25415.191.159.2558,190
25415.191.160.0/1915.191.160.1 to 15.191.191.25415.191.191.2558,190
25515.191.192.0/1915.191.192.1 to 15.191.223.25415.191.223.2558,190
25615.191.224.0/1915.191.224.1 to 15.191.255.25415.191.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses